> ## Documentation Index > Fetch the complete documentation index at: https://documents.trocco.io/llms.txt > Use this file to discover all available pages before exploring further. # ラベル一覧取得 > ラベル一覧を取得します。 ## OpenAPI ````json GET /api/labels { "openapi": "3.0.3", "info": { "title": "trocco APIリファレンス", "description": "trocco APIリファレンス", "version": "0.0.1" }, "servers": [ { "url": "https://trocco.io" } ], "security": [ { "ApiKeyAuth": [] } ], "tags": [ { "name": "users", "description": "ユーザー", "externalDocs": { "url": "https://documents.trocco.io/docs/about-account-user" } }, { "name": "teams", "description": "チーム", "externalDocs": { "url": "https://documents.trocco.io/docs/team" } }, { "name": "connections", "description": "接続情報", "externalDocs": { "url": "https://documents.trocco.io/docs/connection-configurations" } }, { "name": "custom_connectors", "description": "カスタムコネクタ定義" }, { "name": "datamart_definitions", "description": "データマート定義", "externalDocs": { "url": "https://documents.trocco.io/docs/data-mart" } }, { "name": "environment_groups", "description": "環境グループ" }, { "name": "environments", "description": "環境" }, { "name": "jobs", "description": "転送ジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/etl-configuration" } }, { "name": "pipeline_jobs", "description": "ワークフロージョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/about-workflow" } }, { "name": "resource_groups", "description": "リソースグループ", "externalDocs": { "url": "https://documents.trocco.io/docs/resource-group" } }, { "name": "dbt_git_repositories", "description": "dbt Gitリポジトリ" }, { "name": "dbt_job_definitions", "description": "dbtジョブ設定", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "dbt_jobs", "description": "dbtジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "notification_destinations", "description": "通知先", "externalDocs": { "url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings" } } ], "externalDocs": { "description": "trocco APIについて", "url": "https://documents.trocco.io/docs/trocco-api" }, "paths": { "/api/labels": { "get": { "summary": "ラベル一覧取得", "description": "ラベル一覧を取得します。", "operationId": "getLabels", "tags": [ "labels" ], "parameters": [ { "name": "limit", "description": "取得するラベルの最大件数", "in": "query", "schema": { "type": "integer", "format": "int64", "default": 50, "maximum": 200 } }, { "name": "cursor", "description": "取得するラベル一覧の最初のレコードを示すページネーションカーソル
\nレスポンスに含まれる`next_cursor`をセットすると、後続のラベル一覧を取得できます。\n", "in": "query", "schema": { "type": "string" }, "example": "eyJpZCI6MjF9" }, { "name": "datamart_definition_id", "in": "query", "description": "データマート定義のIDを指定します。データマート定義に付いているラベルだけを返します。
\n(他のID指定パラメータと一緒に使えません)\n", "schema": { "type": "integer", "format": "int64" }, "example": 123 }, { "name": "job_definition_id", "in": "query", "description": "転送設定定義のID(配列可能)を指定します。転送設定定義に付いているラベルだけを返します。
\n(他のID指定パラメータと一緒に使えません)\n", "schema": { "oneOf": [ { "type": "integer", "format": "int64" }, { "type": "array", "items": { "type": "integer", "format": "int64" } } ] }, "example": 123 }, { "name": "job_definition_bulk_id", "in": "query", "description": "マネージド転送設定定義のIDを指定します。マネージド転送設定定義に付いているラベルだけを返します。
\n(他のID指定パラメータと一緒に使えません)\n", "schema": { "type": "integer", "format": "int64" }, "example": 123 }, { "name": "pipeline_definition_id", "in": "query", "description": "ワークフロー定義のID(配列可能)を指定します。ワークフロー定義に付いているラベルだけを返します。
\n(他のID指定パラメータと一緒に使えません)\n", "schema": { "oneOf": [ { "type": "integer", "format": "int64" }, { "type": "array", "items": { "type": "integer", "format": "int64" } } ] }, "example": 123 } ], "responses": { "200": { "description": "ラベル一覧を返します。", "content": { "application/json": { "schema": { "allOf": [ { "type": "object", "properties": { "items": { "type": "array", "items": { "title": "Label", "type": "object", "properties": { "id": { "description": "ラベルIDです", "type": "integer", "format": "int64", "example": 1 }, "name": { "description": "ラベル名です。", "type": "string", "example": "favorite" }, "description": { "description": "メモです。", "type": "string", "example": "お気に入り", "nullable": true }, "color": { "description": "ラベルの色です。", "type": "string", "example": "#e86115" }, "created_at": { "description": "ラベル作成日時です。", "type": "string", "example": "2023-08-22T18:00:00+00:00" }, "updated_at": { "description": "ラベルの更新日時です。", "type": "string", "example": "2023-08-22T18:00:00+00:00" } }, "required": [ "id", "name", "color", "created_at", "updated_at" ] } } }, "required": [ "items" ] }, { "title": "Pagination", "type": "object", "properties": { "next_cursor": { "description": "後続のページネーションリクエストの取得開始レコードを示すカーソル値です。", "type": "string" } } } ] } } } }, "400": { "description": "/api系の共通エラーレスポンス", "content": { "application/json": { "schema": { "title": "ApiErrorResponse", "type": "object", "properties": { "message": { "type": "string", "example": "不正なリクエストです。" }, "errors": { "type": "array", "description": "400エラー時のみ含まれる。エラーの詳細。", "items": { "type": "object", "properties": { "attribute": { "type": "string", "description": "属性名" }, "message": { "type": "string", "description": "エラーメッセージ" } } } } } } } } }, "401": { "description": "認証エラー", "content": { "application/json": { "schema": { "title": "ErrorResponse401", "type": "object", "properties": { "message": { "type": "string", "example": "アカウント登録もしくはログインしてください。" } } } } } }, "404": { "description": "指定したIDが存在しません。" } } } } }, "components": { "securitySchemes": { "ApiKeyAuth": { "type": "apiKey", "in": "header", "name": "Authorization", "description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n" } } } } ````